Package org.kie.internal.command

## Interface ExtendedKieCommands

- All Superinterfaces:
    `java.lang.Comparable<org.kie.api.internal.utils.KieService>`, `org.kie.api.command.KieCommands`, `org.kie.api.internal.utils.KieService`

      public interface ExtendedKieCommands
      extends org.kie.api.command.KieCommands

- - ### Field Summary

    - ### Fields inherited from interface org.kie.api.internal.utils.KieService

      `UNDEFINED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.command.Command` | `newClearActivationGroup​(java.lang.String name)` |
    `org.kie.api.command.Command` | `newClearAgenda()` |
    `org.kie.api.command.Command` | `newClearAgendaGroup​(java.lang.String name)` |
    `org.kie.api.command.Command` | `newClearRuleFlowGroup​(java.lang.String name)` |
    `org.kie.api.command.Command` | `newEnableAuditLog​(java.lang.String filename)` |
    `org.kie.api.command.Command` | `newEnableAuditLog​(java.lang.String directory, java.lang.String filename)` |

    - ### Methods inherited from interface org.kie.api.command.KieCommands

      `fromExternalFactHandleCommand, fromExternalFactHandleCommand, newAbortWorkItem, newAdvanceSessionTime, newAdvanceSessionTime, newAgendaGroupSetFocus, newApplyPmmlModel, newBatchExecution, newBatchExecution, newCompleteWorkItem, newDelete, newDeleteObject, newDispose, newExecutionResults, newFireAllRules, newFireAllRules, newFireAllRules, newGetFactHandle, newGetFactHandleInEntryPoint, newGetFactHandles, newGetFactHandles, newGetFactHandles, newGetFactHandles, newGetGlobal, newGetGlobal, newGetObject, newGetObject, newGetObjects, newGetObjects, newGetObjects, newGetObjects, newGetSessionTime, newGetSessionTime, newInsert, newInsert, newInsert, newInsertElements, newInsertElements, newInsertElements, newModify, newQuery, newQuery, newRegisterWorkItemHandlerCommand, newSetGlobal, newSetGlobal, newSetGlobal, newSetter, newSignalEvent, newSignalEvent, newStartProcess, newStartProcess`

    - ### Methods inherited from interface org.kie.api.internal.utils.KieService

      `compareTo, servicePriority, serviceTag`

- - ### Method Detail

    - #### newEnableAuditLog

          org.kie.api.command.Command newEnableAuditLog​(java.lang.String directory,
                                                        java.lang.String filename)

    - #### newEnableAuditLog

          org.kie.api.command.Command newEnableAuditLog​(java.lang.String filename)

    - #### newClearActivationGroup

          org.kie.api.command.Command newClearActivationGroup​(java.lang.String name)

    - #### newClearAgenda

          org.kie.api.command.Command newClearAgenda()

    - #### newClearAgendaGroup

          org.kie.api.command.Command newClearAgendaGroup​(java.lang.String name)

    - #### newClearRuleFlowGroup

          org.kie.api.command.Command newClearRuleFlowGroup​(java.lang.String name)